> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.dropboxapi.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.dropboxapi.com/_mcp/server.

# Remove Folder Member

POST https://api.dropboxapi.com/2/sharing/remove_folder_member
Content-Type: application/json

Allows an owner or editor (if the ACL update policy allows) of a shared
 folder to remove another member.

**Required scope:** `sharing.write`

**Endpoint format:** [RPC](https://docs.dropboxapi.com/dropbox-api/docs/technical-reference/request-response-formats#rpc-endpoints)

**Authentication:** [User](https://docs.dropboxapi.com/dropbox-api/docs/auth-types#user-authentication), [Dropbox-API-Select-Admin (Team Admin)](https://docs.dropboxapi.com/dropbox-api/docs/auth-types#admin-authentication-via-dropbox-api-select-admin)

This endpoint does not support apps with the app folder permission.

Reference: https://docs.dropboxapi.com/dropbox-api/api-reference/user-endpoints/sharing/remove-folder-member

## Authentication

- `Authorization` header (bearer token, required) — OAuth 2.0 token issued to a specific user. Use `Authorization: Bearer <token>`. Public clients should use the authorization code flow with PKCE (S256). For background or offline access, send `token_access_type=offline` during authorization and use the returned refresh token to obtain new access tokens. You can generate a short-lived access token from the App Console; see [Testing with a generated token](https://docs.dropboxapi.com/dropbox-api/docs/oauth#testing-with-a-generated-token).

## Request

### Headers

- `Dropbox-API-Select-User` (string, optional) — Acts on behalf of a team member for supported user-auth operations. Pass a team member ID such as `dbmid:...`. When used with a team token, that token must also include the `team_data.member` scope.
- `Dropbox-API-Select-Admin` (string, optional) — Acts as the specified team admin for supported user-auth operations. Pass a team member ID for an admin account. When used with a team token, that token must also include the `team_data.member` scope.
- `Dropbox-API-Path-Root` (string, optional) — Scopes path-based operations to a namespace (root). The value is a JSON serialization of the `common.PathRoot` union: `{".tag": "home"}`, `{".tag": "root", "root": "<namespace_id>"}`, or `{".tag": "namespace_id", "namespace_id": "<namespace_id>"}`. On failure the request returns 422 with a `common.PathRootError`.

### Body (application/json)

This endpoint expects an object.

- `leave_a_copy` (boolean, required) — If true, the removed user will keep their copy of the folder after it's unshared, assuming it was mounted. Otherwise, it will be removed from their Dropbox. This must be set to false when removing a group, or when the folder is within a team folder or another shared folder.
- `member` (object or object, required) — The member to remove from the folder.
  - sharing_apiv2.MemberSelector.dropbox_id
    - `.tag` (enum, required)
      - Allowed values: `dropbox_id`
    - `dropbox_id` (string, required, nullable)
  - sharing_apiv2.MemberSelector.email
    - `.tag` (enum, required)
      - Allowed values: `email`
    - `email` (string, required, nullable)
- `shared_folder_id` (any, required) — The ID for the shared folder.

## Response

### 200

Successful response

- `object`
  - async_common.LaunchResultBase.async_job_id
    - `.tag` (enum, required)
      - Allowed values: `async_job_id`
    - `async_job_id` (string, required, nullable)

## Errors

### 401 Unauthorized Error

Bad or expired token

- `error` (object or object or object or object or object or object or object or object, required) — Errors occurred during authentication.
  - auth_apiv2.AuthError.invalid_access_token
    - `.tag` (enum, required)
      - Allowed values: `invalid_access_token`
  - auth_apiv2.AuthError.invalid_select_user
    - `.tag` (enum, required)
      - Allowed values: `invalid_select_user`
  - auth_apiv2.AuthError.invalid_select_admin
    - `.tag` (enum, required)
      - Allowed values: `invalid_select_admin`
  - auth_apiv2.AuthError.user_suspended
    - `.tag` (enum, required)
      - Allowed values: `user_suspended`
  - auth_apiv2.AuthError.expired_access_token
    - `.tag` (enum, required)
      - Allowed values: `expired_access_token`
  - auth_apiv2.AuthError.missing_scope
    - `.tag` (enum, required)
      - Allowed values: `missing_scope`
    - `required_scope` (string, required) — The required scope to access the route.
  - auth_apiv2.AuthError.route_access_denied
    - `.tag` (enum, required)
      - Allowed values: `route_access_denied`
  - Other
    - `.tag` (string, optional)
- `error_summary` (string, required) — A human-readable summary of the error.

### 403 Forbidden Error

The user or team account doesn't have access to the endpoint or feature

- `error` (object or object or object or object or object, required) — Error occurred because the account doesn't have permission to access the resource.
  - auth_apiv2.AccessError.invalid_account_type
    - `.tag` (enum, required)
      - Allowed values: `invalid_account_type`
    - `invalid_account_type` (object or object or object, required)
      - auth_apiv2.InvalidAccountTypeError.endpoint
        - `.tag` (enum, required)
          - Allowed values: `endpoint`
      - auth_apiv2.InvalidAccountTypeError.feature
        - `.tag` (enum, required)
          - Allowed values: `feature`
      - Other
        - `.tag` (string, optional)
  - auth_apiv2.AccessError.paper_access_denied
    - `.tag` (enum, required)
      - Allowed values: `paper_access_denied`
    - `paper_access_denied` (object or object or object, required)
      - auth_apiv2.PaperAccessError.paper_disabled
        - `.tag` (enum, required)
          - Allowed values: `paper_disabled`
      - auth_apiv2.PaperAccessError.not_paper_user
        - `.tag` (enum, required)
          - Allowed values: `not_paper_user`
      - Other
        - `.tag` (string, optional)
  - auth_apiv2.AccessError.team_access_denied
    - `.tag` (enum, required)
      - Allowed values: `team_access_denied`
  - auth_apiv2.AccessError.no_permission
    - `.tag` (enum, required)
      - Allowed values: `no_permission`
    - `no_permission` (object or object, required)
      - auth_apiv2.NoPermissionError.unauthorized_account_id_usage
        - `.tag` (enum, required)
          - Allowed values: `unauthorized_account_id_usage`
        - `unauthorized_account_ids` (list of string, required) — The account IDs that the caller does not have permission to use.
      - Other
        - `.tag` (string, optional)
  - Other
    - `.tag` (string, optional)
- `error_summary` (string, required) — A human-readable summary of the error.

### 409 Conflict Error

Endpoint-specific error

- `error` (object or object or object or object or object or object or object or object, required)
  - sharing_apiv2.RemoveFolderMemberError.access_error
    - `.tag` (enum, required)
      - Allowed values: `access_error`
    - `access_error` (object or object or object or object or object or object, required) — There is an error accessing the shared folder.
      - sharing_apiv2.SharedFolderAccessError.invalid_id
        - `.tag` (enum, required)
          - Allowed values: `invalid_id`
      - sharing_apiv2.SharedFolderAccessError.not_a_member
        - `.tag` (enum, required)
          - Allowed values: `not_a_member`
      - sharing_apiv2.SharedFolderAccessError.invalid_member
        - `.tag` (enum, required)
          - Allowed values: `invalid_member`
      - sharing_apiv2.SharedFolderAccessError.email_unverified
        - `.tag` (enum, required)
          - Allowed values: `email_unverified`
      - sharing_apiv2.SharedFolderAccessError.unmounted
        - `.tag` (enum, required)
          - Allowed values: `unmounted`
      - Other
        - `.tag` (string, optional)
  - sharing_apiv2.RemoveFolderMemberError.member_error
    - `.tag` (enum, required)
      - Allowed values: `member_error`
    - `member_error` (object or object or object or object, required)
      - sharing_apiv2.SharedFolderMemberError.invalid_dropbox_id
        - `.tag` (enum, required)
          - Allowed values: `invalid_dropbox_id`
      - sharing_apiv2.SharedFolderMemberError.not_a_member
        - `.tag` (enum, required)
          - Allowed values: `not_a_member`
      - sharing_apiv2.SharedFolderMemberError.no_explicit_access
        - `.tag` (enum, required)
          - Allowed values: `no_explicit_access`
        - `access_details` (list of object, optional, nullable) — The parent folders that a member has access to. The field is present if the user has access to the first parent folder where the member gains access.
          - `folder_name` (string, required) — Display name for the folder.
          - `path` (string, required) — The full path to the parent shared folder relative to the acting user's root.
          - `permissions` (list of object, required) — The user's permissions for the parent shared folder.
            - `action` (object or object or object or object or object or object or object, required) — The action that the user may wish to take on the member.
            - `allow` (boolean, required) — True if the user is allowed to take the action.
            - `reason` (object or object or object or object or object or object or object or object or object or object or object or object or object or object or object or object, optional, nullable) — The reason why the user is denied the permission. Not present if the action is allowed.
          - `shared_folder_id` (any, required) — The identifier of the parent shared folder.
        - `access_level` (object or object or object or object or object or object or object, optional, nullable) — The member still has this level of access to the content through a parent folder.
          - sharing_apiv2.AccessLevel.owner
            - `.tag` (enum, required)
          - sharing_apiv2.AccessLevel.editor
            - `.tag` (enum, required)
          - sharing_apiv2.AccessLevel.viewer
            - `.tag` (enum, required)
          - sharing_apiv2.AccessLevel.viewer_no_comment
            - `.tag` (enum, required)
          - sharing_apiv2.AccessLevel.traverse
            - `.tag` (enum, required)
          - sharing_apiv2.AccessLevel.no_access
            - `.tag` (enum, required)
          - Other
            - `.tag` (string, optional)
        - `warning` (string, optional, nullable) — A localized string with additional information about why the user has this access level to the content.
      - Other
        - `.tag` (string, optional)
  - sharing_apiv2.RemoveFolderMemberError.folder_owner
    - `.tag` (enum, required)
      - Allowed values: `folder_owner`
  - sharing_apiv2.RemoveFolderMemberError.group_access
    - `.tag` (enum, required)
      - Allowed values: `group_access`
  - sharing_apiv2.RemoveFolderMemberError.team_folder
    - `.tag` (enum, required)
      - Allowed values: `team_folder`
  - sharing_apiv2.RemoveFolderMemberError.no_permission
    - `.tag` (enum, required)
      - Allowed values: `no_permission`
  - sharing_apiv2.RemoveFolderMemberError.too_many_files
    - `.tag` (enum, required)
      - Allowed values: `too_many_files`
  - Other
    - `.tag` (string, optional)
- `error_summary` (string, required) — A human-readable summary of the error.
- `user_message` (object, optional)
  - `locale` (string, optional)
  - `text` (string, optional)

### 429 Too Many Requests Error

The app is making too many requests for the given user or team and is being rate limited. The app should wait for the number of seconds specified in the "Retry-After" response header before trying again.

- `error` (object, required) — Error occurred because the app is being rate limited.
  - `reason` (object or object or object, required) — The reason why the app is being rate limited.
    - auth_apiv2.RateLimitReason.too_many_requests
      - `.tag` (enum, required)
        - Allowed values: `too_many_requests`
    - auth_apiv2.RateLimitReason.too_many_write_operations
      - `.tag` (enum, required)
        - Allowed values: `too_many_write_operations`
    - Other
      - `.tag` (string, optional)
  - `retry_after` (uint64, optional, default: 1) — The number of seconds that the app should wait before making another request.
- `error_summary` (string, required) — A human-readable summary of the error.

### 500 Internal Server Error

Internal server error. An error occurred on the Dropbox servers. Check https://status.dropbox.com/ for announcements about Dropbox service issues.

- `any`

## Examples

**Request**

```json
{
  "leave_a_copy": false,
  "member": {
    ".tag": "email",
    "email": "justin@example.com"
  },
  "shared_folder_id": null
}
```

**Response**

```json
{
  ".tag": "async_job_id",
  "async_job_id": "34g93hh34h04y384084"
}
```

**SDK Code**

```python
import requests

url = "https://api.dropboxapi.com/2/sharing/remove_folder_member"

payload = {
    "leave_a_copy": False,
    "member": {
        ".tag": "email",
        "email": "justin@example.com"
    },
    "shared_folder_id": None
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.dropboxapi.com/2/sharing/remove_folder_member';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"leave_a_copy":false,"member":{".tag":"email","email":"justin@example.com"},"shared_folder_id":null}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.dropboxapi.com/2/sharing/remove_folder_member"

	payload := strings.NewReader("{\n  \"leave_a_copy\": false,\n  \"member\": {\n    \".tag\": \"email\",\n    \"email\": \"justin@example.com\"\n  },\n  \"shared_folder_id\": null\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.dropboxapi.com/2/sharing/remove_folder_member")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"leave_a_copy\": false,\n  \"member\": {\n    \".tag\": \"email\",\n    \"email\": \"justin@example.com\"\n  },\n  \"shared_folder_id\": null\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.dropboxapi.com/2/sharing/remove_folder_member")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"leave_a_copy\": false,\n  \"member\": {\n    \".tag\": \"email\",\n    \"email\": \"justin@example.com\"\n  },\n  \"shared_folder_id\": null\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.dropboxapi.com/2/sharing/remove_folder_member', [
  'body' => '{
  "leave_a_copy": false,
  "member": {
    ".tag": "email",
    "email": "justin@example.com"
  },
  "shared_folder_id": null
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.dropboxapi.com/2/sharing/remove_folder_member");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"leave_a_copy\": false,\n  \"member\": {\n    \".tag\": \"email\",\n    \"email\": \"justin@example.com\"\n  },\n  \"shared_folder_id\": null\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "leave_a_copy": false,
  "member": [
    ".tag": "email",
    "email": "justin@example.com"
  ],
  "shared_folder_id": 
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.dropboxapi.com/2/sharing/remove_folder_member")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```